diff --git a/misc/kf5-purpose/Makefile b/misc/kf5-purpose/Makefile
index 56886141f0ea..1d727c66ff3b 100644
--- a/misc/kf5-purpose/Makefile
+++ b/misc/kf5-purpose/Makefile
@@ -1,13 +1,16 @@
 PORTNAME=	purpose
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	misc kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Offers available actions for a specific purpose
 
-LIB_DEPENDS=	libaccounts-qt5.so:net-im/libaccounts-qt@qt5 \
-		libkaccounts.so:net-im/kaccounts-integration
-RUN_DEPENDS=	accounts-qml-module>=0:sysutils/accounts-qml-module
+DEPRECATED=	has its functionality stripped for coinstallability with Plasma 6
+
+LIB_DEPENDS=	libaccounts-qt5.so:net-im/libaccounts-qt@qt5
+# KF6/Plasma 6 coinstallability
+#RUN_DEPENDS=	accounts-qml-module>=0:sysutils/accounts-qml-module
 
 USES=		cmake compiler:c++11-lang gettext gnome \
 		kde:5 pkgconfig qt:5 tar:xz xorg
diff --git a/misc/kf5-purpose/pkg-plist b/misc/kf5-purpose/pkg-plist
index 6f5e97410c23..75d945f993f9 100644
--- a/misc/kf5-purpose/pkg-plist
+++ b/misc/kf5-purpose/pkg-plist
@@ -36,14 +36,12 @@ lib/libexec/kf5/purposeprocess
 %%QT_PLUGINDIR%%/kf5/purpose/kdeconnectplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/kdeconnectsmsplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/ktpsendfileplugin.so
-%%QT_PLUGINDIR%%/kf5/purpose/nextcloudplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/pastebinplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/phabricatorplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/reviewboardplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/saveasplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/telegramplugin.so
 %%QT_PLUGINDIR%%/kf5/purpose/twitterplugin.so
-%%QT_PLUGINDIR%%/kf5/purpose/youtubeplugin.so
 %%QT_QMLDIR%%/org/kde/purpose/AlternativesView.qml
 %%QT_QMLDIR%%/org/kde/purpose/JobView.qml
 %%QT_QMLDIR%%/org/kde/purpose/libpurposequickplugin.so
@@ -52,17 +50,10 @@ lib/libexec/kf5/purposeprocess
 %%QT_QMLDIR%%/org/kde/purpose/qmldir
 %%QT_QMLDIR%%/org/kde/purpose/reviewboard/librbpurposequickplugin.so
 %%QT_QMLDIR%%/org/kde/purpose/reviewboard/qmldir
-share/accounts/services/kde/google-youtube.service
-share/accounts/services/kde/nextcloud-upload.service
 share/icons/hicolor/128x128/apps/phabricator-purpose.png
 share/icons/hicolor/128x128/apps/reviewboard-purpose.png
-share/icons/hicolor/16x16/actions/kipiplugin_youtube.png
 share/icons/hicolor/16x16/apps/phabricator-purpose.png
 share/icons/hicolor/16x16/apps/reviewboard-purpose.png
-share/icons/hicolor/22x22/actions/kipiplugin_youtube.png
-share/icons/hicolor/32x32/actions/kipiplugin_youtube.png
-share/icons/hicolor/48x48/actions/kipiplugin_youtube.png
-share/icons/hicolor/64x64/actions/kipiplugin_youtube.png
 share/locale/ar/LC_MESSAGES/libpurpose_quick.mo
 share/locale/ar/LC_MESSAGES/libpurpose_widgets.mo
 share/locale/ar/LC_MESSAGES/purpose-fileitemaction.mo
@@ -683,10 +674,8 @@ share/locale/zh_TW/LC_MESSAGES/purpose_saveas.mo
 share/locale/zh_TW/LC_MESSAGES/purpose_youtube.mo
 %%DATADIR%%/barcodeplugin_config.qml
 %%DATADIR%%/kdeconnectplugin_config.qml
-%%DATADIR%%/nextcloudplugin_config.qml
 %%DATADIR%%/phabricatorplugin_config.qml
 %%DATADIR%%/reviewboardplugin_config.qml
 %%DATADIR%%/saveasplugin_config.qml
-%%DATADIR%%/youtubeplugin_config.qml
 share/qlogging-categories5/purpose.categories
 share/qlogging-categories5/purpose.renamecategories
diff --git a/misc/kgeography/Makefile b/misc/kgeography/Makefile
index 0936958e6eaa..68be0daa3b75 100644
--- a/misc/kgeography/Makefile
+++ b/misc/kgeography/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE geography trainer
 WWW=		https://edu.kde.org/kgeography
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash doctools \
 		i18n iconthemes itemviews service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/misc/kgeography/distinfo b/misc/kgeography/distinfo
index e7b089ad5bdb..ad6aae5d933b 100644
--- a/misc/kgeography/distinfo
+++ b/misc/kgeography/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889460
-SHA256 (KDE/release-service/23.08.5/kgeography-23.08.5.tar.xz) = b5f1a0b853a2473c0f0fc036c2fb84f5adecbf91ab033b90507a1c99bb139ef1
-SIZE (KDE/release-service/23.08.5/kgeography-23.08.5.tar.xz) = 12553068
+TIMESTAMP = 1734460254
+SHA256 (KDE/release-service/24.12.0/kgeography-24.12.0.tar.xz) = 965b94c0d462c298dfcde943e82854c9f5f0a5a9e5cd9b0969a089bd6f13e075
+SIZE (KDE/release-service/24.12.0/kgeography-24.12.0.tar.xz) = 12424768
diff --git a/misc/kgeography/pkg-plist b/misc/kgeography/pkg-plist
index aa3194981bf7..3331c6f89dd6 100644
--- a/misc/kgeography/pkg-plist
+++ b/misc/kgeography/pkg-plist
@@ -1043,8 +1043,9 @@ share/icons/hicolor/scalable/apps/kgeography.svgz
 %%DATADIR%%/zimbabwe.png
 %%DATADIR%%/zimbabwe_districts.kgm
 %%DATADIR%%/zimbabwe_districts.png
-share/kxmlgui5/kgeography/kgeographyui.rc
 share/locale/ar/LC_MESSAGES/kgeography.mo
+share/locale/ast/LC_MESSAGES/kgeography.mo
+share/locale/az/LC_MESSAGES/kgeography.mo
 share/locale/be/LC_MESSAGES/kgeography.mo
 share/locale/bg/LC_MESSAGES/kgeography.mo
 share/locale/br/LC_MESSAGES/kgeography.mo
@@ -1076,6 +1077,7 @@ share/locale/hi/LC_MESSAGES/kgeography.mo
 share/locale/hne/LC_MESSAGES/kgeography.mo
 share/locale/hr/LC_MESSAGES/kgeography.mo
 share/locale/hu/LC_MESSAGES/kgeography.mo
+share/locale/ia/LC_MESSAGES/kgeography.mo
 share/locale/is/LC_MESSAGES/kgeography.mo
 share/locale/it/LC_MESSAGES/kgeography.mo
 share/locale/ja/LC_MESSAGES/kgeography.mo
diff --git a/misc/klettres/Makefile b/misc/klettres/Makefile
index 63c2c77f5f3e..ac657d2b7196 100644
--- a/misc/klettres/Makefile
+++ b/misc/klettres/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Alphabet learning tool for KDE
 WWW=		https://edu.kde.org/klettres
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
-		crash emoticons i18n init itemmodels \
-		kdelibs4support newstuff phonon service widgetsaddons xmlgui \
+		crash i18n itemmodels newstuff phonon service widgetsaddons \
+		xmlgui \
 		doctools:build ecm:build
-USE_QT=		core dbus gui network svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/misc/klettres/distinfo b/misc/klettres/distinfo
index 1310932c2c19..27c7bdcd90b2 100644
--- a/misc/klettres/distinfo
+++ b/misc/klettres/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889458
-SHA256 (KDE/release-service/23.08.5/klettres-23.08.5.tar.xz) = eac927a2fc798370e3bffda7872d0e7408c41d378a2e3a52c1be288216c9817e
-SIZE (KDE/release-service/23.08.5/klettres-23.08.5.tar.xz) = 47844268
+TIMESTAMP = 1734460257
+SHA256 (KDE/release-service/24.12.0/klettres-24.12.0.tar.xz) = 38092900746f6b0b9bf58357ef8609251bf674da2b97b150befe970c9fe71abb
+SIZE (KDE/release-service/24.12.0/klettres-24.12.0.tar.xz) = 47185064
diff --git a/misc/klettres/pkg-plist b/misc/klettres/pkg-plist
index d4b5267cc466..8a79dc28a92f 100644
--- a/misc/klettres/pkg-plist
+++ b/misc/klettres/pkg-plist
@@ -1898,9 +1898,9 @@ share/icons/hicolor/64x64/apps/klettres.png
 %%DATADIR%%/uk/syllab/zmi.ogg
 %%DATADIR%%/uk/syllab/zyk.ogg
 share/knsrcfiles/klettres.knsrc
-share/kxmlgui5/klettres/klettresui.rc
 share/locale/af/LC_MESSAGES/klettres.mo
 share/locale/ar/LC_MESSAGES/klettres.mo
+share/locale/ast/LC_MESSAGES/klettres.mo
 share/locale/be/LC_MESSAGES/klettres.mo
 share/locale/bg/LC_MESSAGES/klettres.mo
 share/locale/bn/LC_MESSAGES/klettres.mo
@@ -1973,4 +1973,4 @@ share/locale/xh/LC_MESSAGES/klettres.mo
 share/locale/zh_CN/LC_MESSAGES/klettres.mo
 share/locale/zh_TW/LC_MESSAGES/klettres.mo
 share/metainfo/org.kde.klettres.appdata.xml
-share/qlogging-categories5/klettres.categories
+share/qlogging-categories6/klettres.categories
diff --git a/misc/ktouch/Makefile b/misc/ktouch/Makefile
index f7b7e425f7fa..1822498ebe78 100644
--- a/misc/ktouch/Makefile
+++ b/misc/ktouch/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	ktouch
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	misc education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -10,10 +9,10 @@ WWW=		https://www.kde.org/applications/education/ktouch
 RUN_DEPENDS=	kqtquickcharts>=${KDE_APPLICATIONS_VERSION}:graphics/kqtquickcharts
 
 USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons doctools \
-		i18n iconthemes itemviews kcmutils kdeclarative kio newstuff package \
-		parts service sonnet texteditor textwidgets widgetsaddons \
-		windowsystem xmlgui \
+USE_KDE=	auth codecs completion config configwidgets coreaddons \
+		doctools i18n iconthemes itemviews kcmutils kdeclarative kio \
+		newstuff package parts service sonnet texteditor textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
 USE_QT=		core dbus declarative gui network quickcontrols2 script sql \
 		testlib widgets x11extras xml xmlpatterns \
diff --git a/misc/ktouch/distinfo b/misc/ktouch/distinfo
index 2108d3379642..ba62a9db75da 100644
--- a/misc/ktouch/distinfo
+++ b/misc/ktouch/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889455
-SHA256 (KDE/release-service/23.08.5/ktouch-23.08.5.tar.xz) = 2d102a73560da4676628bb138eeec2d847dd35db0224b9fd0a7016ebfef59c5d
-SIZE (KDE/release-service/23.08.5/ktouch-23.08.5.tar.xz) = 5040232
+TIMESTAMP = 1734460259
+SHA256 (KDE/release-service/24.12.0/ktouch-24.12.0.tar.xz) = d571efbf4c86719cf81cb9a57ee08337e252aa224e243febe7424d206e2ddb79
+SIZE (KDE/release-service/24.12.0/ktouch-24.12.0.tar.xz) = 4786684
diff --git a/misc/kwordquiz/Makefile b/misc/kwordquiz/Makefile
index dc056f9e6996..959741e72b36 100644
--- a/misc/kwordquiz/Makefile
+++ b/misc/kwordquiz/Makefile
@@ -6,20 +6,15 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Flash card trainer for KDE Applications
 WWW=		https://www.kde.org/applications/education/kwordquiz
 
-BUILD_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
-RUN_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
-
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	attica auth bookmarks codecs completion config configwidgets \
-		coreaddons crash doctools emoticons guiaddons i18n \
-		iconthemes init itemmodels itemviews jobwidgets kdeclarative \
-		kdelibs4support kio libkeduvocdocument newstuff notifications \
+		iconthemes itemmodels itemviews jobwidgets kdeclarative kio \
+		kirigami-addons libkeduvocdocument newstuff notifications \
 		notifyconfig parts phonon service solid sonnet textwidgets \
 		unitconversion widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		core dbus gui network multimedia printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/misc/kwordquiz/distinfo b/misc/kwordquiz/distinfo
index e516545881e0..56963f07f0ea 100644
--- a/misc/kwordquiz/distinfo
+++ b/misc/kwordquiz/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889457
-SHA256 (KDE/release-service/23.08.5/kwordquiz-23.08.5.tar.xz) = 5e4a243269a0492336b10aafd372d777cec078d501cfa213ca673360e167b0f0
-SIZE (KDE/release-service/23.08.5/kwordquiz-23.08.5.tar.xz) = 4073612
+TIMESTAMP = 1734460261
+SHA256 (KDE/release-service/24.12.0/kwordquiz-24.12.0.tar.xz) = a668876d68aeafe6fe90d8742d76131687a522169321fc046598a69e1a70f48a
+SIZE (KDE/release-service/24.12.0/kwordquiz-24.12.0.tar.xz) = 3777076
diff --git a/misc/kwordquiz/pkg-plist b/misc/kwordquiz/pkg-plist
index e8127cb0a2fe..82cd5a5fd57f 100644
--- a/misc/kwordquiz/pkg-plist
+++ b/misc/kwordquiz/pkg-plist
@@ -13,7 +13,6 @@ share/icons/hicolor/48x48/apps/kwordquiz.png
 share/icons/hicolor/48x48/mimetypes/application-x-kwordquiz.png
 share/icons/hicolor/64x64/apps/kwordquiz.png
 share/icons/hicolor/scalable/apps/org.kde.kwordquiz.svg
-share/knotifications5/kwordquiz.notifyrc
 share/knsrcfiles/kwordquiz.knsrc
 %%DATADIR%%/examples/example.kvtml
 %%DATADIR%%/examples/fill_in_the_blank.kvtml
@@ -168,6 +167,7 @@ share/knsrcfiles/kwordquiz.knsrc
 %%DATADIR%%/icons/hicolor/scalable/actions/question.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/unmarkasblank.svgz
 share/locale/ar/LC_MESSAGES/kwordquiz.mo
+share/locale/ast/LC_MESSAGES/kwordquiz.mo
 share/locale/be/LC_MESSAGES/kwordquiz.mo
 share/locale/bg/LC_MESSAGES/kwordquiz.mo
 share/locale/bn/LC_MESSAGES/kwordquiz.mo
@@ -190,6 +190,7 @@ share/locale/fi/LC_MESSAGES/kwordquiz.mo
 share/locale/fr/LC_MESSAGES/kwordquiz.mo
 share/locale/ga/LC_MESSAGES/kwordquiz.mo
 share/locale/gl/LC_MESSAGES/kwordquiz.mo
+share/locale/he/LC_MESSAGES/kwordquiz.mo
 share/locale/hi/LC_MESSAGES/kwordquiz.mo
 share/locale/hne/LC_MESSAGES/kwordquiz.mo
 share/locale/hr/LC_MESSAGES/kwordquiz.mo
diff --git a/misc/libkeduvocdocument/Makefile b/misc/libkeduvocdocument/Makefile
index 191bf3739287..d705ccd3514a 100644
--- a/misc/libkeduvocdocument/Makefile
+++ b/misc/libkeduvocdocument/Makefile
@@ -6,11 +6,10 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Library for reading and writing vocabulary files
 WWW=		https://edu.kde.org/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	archive config coreaddons i18n kio service \
 		ecm:build
-USE_QT=		concurrent core dbus gui network xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/misc/libkeduvocdocument/distinfo b/misc/libkeduvocdocument/distinfo
index afa64e1f063c..89dc1a7b9b35 100644
--- a/misc/libkeduvocdocument/distinfo
+++ b/misc/libkeduvocdocument/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889456
-SHA256 (KDE/release-service/23.08.5/libkeduvocdocument-23.08.5.tar.xz) = bdae89c39f063874115235cc69938fbcd3ff83a3d521f4c1ebe67bd32ff39e16
-SIZE (KDE/release-service/23.08.5/libkeduvocdocument-23.08.5.tar.xz) = 229608
+TIMESTAMP = 1734460263
+SHA256 (KDE/release-service/24.12.0/libkeduvocdocument-24.12.0.tar.xz) = f855eac0ab1fa3caf1777484ef21ea0e66ff640e5a98f7ded29a82d02aa2e16c
+SIZE (KDE/release-service/24.12.0/libkeduvocdocument-24.12.0.tar.xz) = 228488
diff --git a/misc/libkeduvocdocument/pkg-plist b/misc/libkeduvocdocument/pkg-plist
index 362c5ae4b819..82d7d1d261af 100644
--- a/misc/libkeduvocdocument/pkg-plist
+++ b/misc/libkeduvocdocument/pkg-plist
@@ -41,6 +41,7 @@ lib/libKEduVocDocument.so
 lib/libKEduVocDocument.so.5
 lib/libKEduVocDocument.so.5.1.0
 share/locale/ar/LC_MESSAGES/libkeduvocdocument.mo
+share/locale/ast/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/az/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/be/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/bg/LC_MESSAGES/libkeduvocdocument.mo
@@ -68,6 +69,7 @@ share/locale/hi/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/hne/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/hr/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/hu/LC_MESSAGES/libkeduvocdocument.mo
+share/locale/ia/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/is/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/it/LC_MESSAGES/libkeduvocdocument.mo
 share/locale/ja/LC_MESSAGES/libkeduvocdocument.mo
diff --git a/misc/parley/Makefile b/misc/parley/Makefile
index b896af29649b..d2f31e3055a9 100644
--- a/misc/parley/Makefile
+++ b/misc/parley/Makefile
@@ -9,17 +9,13 @@ WWW=		https://edu.kde.org/applications/all/parley
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake desktop-file-utils gettext gnome kde:5 qt:5 tar:xz xorg
+USES=		cmake desktop-file-utils gettext gnome kde:6 qt:6 tar:xz xorg
 USE_GNOME=	libxml2 libxslt
-USE_KDE=	attica auth codecs completion configwidgets coreaddons config \
-		crash doctools i18n jobwidgets kcmutils kio newstuff \
-		notifications kross khtml service solid sonnet textwidgets \
-		widgetsaddons windowsystem xmlgui \
-		libkeduvocdocument \
+USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
+		crash doctools i18n jobwidgets kcmutils kio libkeduvocdocument \
+		newstuff sonnet textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network multimedia \
-		printsupport script svg webchannel webengine widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base multimedia webengine
 USE_XORG=	ice sm x11 xext xrender
 
 OPTIONS_DEFINE=	DOCS
diff --git a/misc/parley/distinfo b/misc/parley/distinfo
index 7157343b8a58..d9a4ed6d33b3 100644
--- a/misc/parley/distinfo
+++ b/misc/parley/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889456
-SHA256 (KDE/release-service/23.08.5/parley-23.08.5.tar.xz) = 5695758664d17cbaa023ac0f373041cc3b40036aba52a0dacb194e128e6d2067
-SIZE (KDE/release-service/23.08.5/parley-23.08.5.tar.xz) = 8610724
+TIMESTAMP = 1734460264
+SHA256 (KDE/release-service/24.12.0/parley-24.12.0.tar.xz) = 9dda0372f868f70daf36343fbea458c98f37effbda9728a7a066f9d26139b67f
+SIZE (KDE/release-service/24.12.0/parley-24.12.0.tar.xz) = 8434548
diff --git a/misc/parley/pkg-plist b/misc/parley/pkg-plist
index 74583aaf803e..b2626d3c8e43 100644
--- a/misc/parley/pkg-plist
+++ b/misc/parley/pkg-plist
@@ -81,20 +81,9 @@ share/icons/oxygen/scalable/actions/set-language.svgz
 share/icons/oxygen/scalable/actions/specific-setup.svgz
 share/knsrcfiles/parley-themes.knsrc
 share/knsrcfiles/parley.knsrc
-share/kxmlgui5/parley/dashboardui.rc
-share/kxmlgui5/parley/editorui.rc
-share/kxmlgui5/parley/parleyui.rc
-share/kxmlgui5/parley/practicesummaryui.rc
-share/kxmlgui5/parley/practiceui.rc
-share/kxmlgui5/parley/statisticsui.rc
-share/kxmlgui5/parley/themes/bees_theme.desktop
-share/kxmlgui5/parley/themes/bees_theme.svgz
-share/kxmlgui5/parley/themes/bees_theme_preview.jpg
-share/kxmlgui5/parley/themes/theme_reference.desktop
-share/kxmlgui5/parley/themes/theme_reference.svgz
-share/kxmlgui5/parley/themes/theme_reference_preview.jpg
 share/locale/af/LC_MESSAGES/parley.mo
 share/locale/ar/LC_MESSAGES/parley.mo
+share/locale/ast/LC_MESSAGES/parley.mo
 share/locale/be/LC_MESSAGES/parley.mo
 share/locale/bg/LC_MESSAGES/parley.mo
 share/locale/bn/LC_MESSAGES/parley.mo
diff --git a/multimedia/Makefile b/multimedia/Makefile
index 6f78b658a22c..9b64ea90e72a 100644
--- a/multimedia/Makefile
+++ b/multimedia/Makefile
@@ -294,7 +294,6 @@
     SUBDIR += pipe-viewer
     SUBDIR += pipewire
     SUBDIR += pitivi
-    SUBDIR += plasma5-plank-player
     SUBDIR += plasmatube
     SUBDIR += playerctl
     SUBDIR += plexmediaserver
diff --git a/multimedia/dragon/Makefile b/multimedia/dragon/Makefile
index 4f8d3e7def42..8ea082ba1064 100644
--- a/multimedia/dragon/Makefile
+++ b/multimedia/dragon/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	dragon
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	multimedia kde kde-applications
 PKGNAMESUFFIX=	-player
 
@@ -10,15 +9,14 @@ WWW=		https://www.kde.org/applications/multimedia/dragonplayer/
 
 LICENSE=	GPLv2
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 qt:5 \
-		tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons doctools kio service sonnet textwidgets i18n \
-		iconthemes jobwidgets notifications parts phonon solid widgetsaddons \
-		windowsystem xmlgui \
+		dbusaddons doctools i18n iconthemes jobwidgets kio \
+		notifications parts phonon service solid sonnet textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 CONFLICTS_INSTALL=	dragon # bin/dragon
diff --git a/multimedia/dragon/distinfo b/multimedia/dragon/distinfo
index c7402c60957c..2135fd75c63f 100644
--- a/multimedia/dragon/distinfo
+++ b/multimedia/dragon/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889323
-SHA256 (KDE/release-service/23.08.5/dragon-23.08.5.tar.xz) = 410621fbda859cabf6ef156506a6fce4f65f4565065691ee8c9bfc83c0a11571
-SIZE (KDE/release-service/23.08.5/dragon-23.08.5.tar.xz) = 1671520
+TIMESTAMP = 1734460266
+SHA256 (KDE/release-service/24.12.0/dragon-24.12.0.tar.xz) = 1d87f71f6948ee83ef0ab711dee33397e38e6c42ce942d2404a7a13885a00309
+SIZE (KDE/release-service/24.12.0/dragon-24.12.0.tar.xz) = 1830472
diff --git a/multimedia/dragon/pkg-plist b/multimedia/dragon/pkg-plist
index 6a44d65f1e5f..4eb66248d12a 100644
--- a/multimedia/dragon/pkg-plist
+++ b/multimedia/dragon/pkg-plist
@@ -1,6 +1,6 @@
 bin/dragon
 etc/xdg/dragonplayerrc
-%%QT_PLUGINDIR%%/kf5/parts/dragonpart.so
+%%QT_PLUGINDIR%%/kf6/parts/dragonpart.so
 share/applications/org.kde.dragonplayer.desktop
 share/icons/hicolor/128x128/apps/dragonplayer.png
 share/icons/hicolor/16x16/apps/dragonplayer.png
@@ -14,8 +14,9 @@ share/icons/oxygen/22x22/actions/player-volume-muted.png
 share/icons/oxygen/32x32/actions/player-volume-muted.png
 share/icons/oxygen/48x48/actions/player-volume-muted.png
 share/icons/oxygen/scalable/actions/player-volume-muted.svgz
-share/kservices5/ServiceMenus/dragonplayer_play_dvd.desktop
+share/kio/servicemenus/dragonplayer_play_dvd.desktop
 share/locale/ar/LC_MESSAGES/dragonplayer.mo
+share/locale/ast/LC_MESSAGES/dragonplayer.mo
 share/locale/be/LC_MESSAGES/dragonplayer.mo
 share/locale/bg/LC_MESSAGES/dragonplayer.mo
 share/locale/bs/LC_MESSAGES/dragonplayer.mo
@@ -86,6 +87,7 @@ share/man/man1/dragon.1.gz
 share/man/nl/man1/dragon.1.gz
 share/man/pt/man1/dragon.1.gz
 share/man/pt_BR/man1/dragon.1.gz
+share/man/sl/man1/dragon.1.gz
 share/man/sr/man1/dragon.1.gz
 share/man/sr@latin/man1/dragon.1.gz
 share/man/sv/man1/dragon.1.gz
diff --git a/multimedia/haruna/Makefile b/multimedia/haruna/Makefile
index 35336f799720..0c2753edcdfc 100644
--- a/multimedia/haruna/Makefile
+++ b/multimedia/haruna/Makefile
@@ -1,7 +1,7 @@
 PORTNAME=	haruna
-DISTVERSION=	0.12.3
+DISTVERSION=	1.3.2
 CATEGORIES=	multimedia kde
-MASTER_SITES=	KDE/stable/${PORTNAME}/
+MASTER_SITES=	KDE/stable/${PORTNAME}/${DISTVERSION}
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE video player
@@ -11,19 +11,16 @@ LICENSE=	GPLv3+
 LICENSE_FILE=	${WRKSRC}/LICENSES/GPL-3.0-or-later.txt
 
 LIB_DEPENDS=	libavcodec.so:multimedia/ffmpeg \
-		libmpv.so:multimedia/mpv
+		libMpvQt.so:multimedia/mpvqt
 RUN_DEPENDS=	kio-extras>0:devel/kio-extras \
 		yt-dlp:www/yt-dlp
 
-USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 pkgconfig qt:5 tar:xz xorg
-USE_KDE=	auth breeze codecs completion config configwidgets coreaddons \
-		doctools filemetadata i18n iconthemes kirigami2 jobwidgets \
-		kio service solid widgetsaddons windowsystem \
-		ecm:build doctools:build \
-		breeze-icons:run qqc2-desktop-style:run
-USE_QT=		concurrent core dbus declarative gui network quickcontrols2 \
-		widgets x11extras xml \
-		buildtools:build qmake:build
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
+		kde:6 pkgconfig qt:6 tar:xz xorg
+USE_KDE=	breeze colorscheme completion config coreaddons crash \
+		filemetadata i18n iconthemes kirigami2 kio windowsystem \
+		ecm:build
+USE_QT=		5compat base declarative
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/multimedia/haruna/distinfo b/multimedia/haruna/distinfo
index 2dfb024268de..39d2c73615d5 100644
--- a/multimedia/haruna/distinfo
+++ b/multimedia/haruna/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1701039338
-SHA256 (haruna-0.12.3.tar.xz) = d0202e0060ae86e10c461e7529f6de6b67f8281bf7b82c845479f46772b9fa6f
-SIZE (haruna-0.12.3.tar.xz) = 602272
+TIMESTAMP = 1737925616
+SHA256 (haruna-1.3.2.tar.xz) = 2baf5993b5d81c3bbe7863a4ddbd5bde054c43068ad7a748345a589e69d77c3f
+SIZE (haruna-1.3.2.tar.xz) = 662788
diff --git a/multimedia/haruna/pkg-plist b/multimedia/haruna/pkg-plist
index 9d93c49cb236..dee3984aac74 100644
--- a/multimedia/haruna/pkg-plist
+++ b/multimedia/haruna/pkg-plist
@@ -1,7 +1,5 @@
 bin/haruna
 share/applications/org.kde.haruna.desktop
-share/doc/HTML/en/haruna/index.cache.bz2
-share/doc/HTML/en/haruna/index.docbook
 share/icons/hicolor/128x128/apps/haruna.png
 share/icons/hicolor/150x150/apps/haruna.png
 share/icons/hicolor/16x16/apps/haruna.png
@@ -15,27 +13,35 @@ share/icons/hicolor/512x512/apps/haruna.png
 share/icons/hicolor/64x64/apps/haruna.png
 share/icons/hicolor/scalable/apps/haruna.svg
 share/locale/ar/LC_MESSAGES/haruna.mo
+share/locale/ast/LC_MESSAGES/haruna.mo
 share/locale/ca/LC_MESSAGES/haruna.mo
 share/locale/ca@valencia/LC_MESSAGES/haruna.mo
 share/locale/cs/LC_MESSAGES/haruna.mo
 share/locale/de/LC_MESSAGES/haruna.mo
 share/locale/en_GB/LC_MESSAGES/haruna.mo
+share/locale/eo/LC_MESSAGES/haruna.mo
 share/locale/es/LC_MESSAGES/haruna.mo
 share/locale/eu/LC_MESSAGES/haruna.mo
 share/locale/fi/LC_MESSAGES/haruna.mo
 share/locale/fr/LC_MESSAGES/haruna.mo
+share/locale/gl/LC_MESSAGES/haruna.mo
+share/locale/he/LC_MESSAGES/haruna.mo
 share/locale/hi/LC_MESSAGES/haruna.mo
+share/locale/ia/LC_MESSAGES/haruna.mo
 share/locale/id/LC_MESSAGES/haruna.mo
 share/locale/it/LC_MESSAGES/haruna.mo
 share/locale/ja/LC_MESSAGES/haruna.mo
 share/locale/ka/LC_MESSAGES/haruna.mo
 share/locale/ko/LC_MESSAGES/haruna.mo
 share/locale/lt/LC_MESSAGES/haruna.mo
+share/locale/lv/LC_MESSAGES/haruna.mo
 share/locale/nl/LC_MESSAGES/haruna.mo
 share/locale/pl/LC_MESSAGES/haruna.mo
 share/locale/pt/LC_MESSAGES/haruna.mo
 share/locale/pt_BR/LC_MESSAGES/haruna.mo
+share/locale/ro/LC_MESSAGES/haruna.mo
 share/locale/ru/LC_MESSAGES/haruna.mo
+share/locale/sa/LC_MESSAGES/haruna.mo
 share/locale/sk/LC_MESSAGES/haruna.mo
 share/locale/sl/LC_MESSAGES/haruna.mo
 share/locale/sv/LC_MESSAGES/haruna.mo
diff --git a/multimedia/kamoso/Makefile b/multimedia/kamoso/Makefile
index 3f0fdbaf4c8f..8b974f8ff5ad 100644
--- a/multimedia/kamoso/Makefile
+++ b/multimedia/kamoso/Makefile
@@ -14,7 +14,8 @@ USE_GL=		gl
 USE_GNOME=	glib20
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons i18n itemviews jobwidgets kio kirigami2 \
-		notifications purpose service solid widgetsaddons windowsystem xmlgui \
+		notifications purpose service solid widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
 USE_QT=		concurrent core dbus declarative graphicaleffects gui network \
 		quickcontrols widgets xml \
diff --git a/multimedia/kamoso/distinfo b/multimedia/kamoso/distinfo
index 8e186a68bb77..405244e5996f 100644
--- a/multimedia/kamoso/distinfo
+++ b/multimedia/kamoso/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889324
-SHA256 (KDE/release-service/23.08.5/kamoso-23.08.5.tar.xz) = 84cc4538da2906c1503de97e6fb6f1ef790f0e7b9f3c08f6367770e5bdf08d01
-SIZE (KDE/release-service/23.08.5/kamoso-23.08.5.tar.xz) = 233444
+TIMESTAMP = 1734460268
+SHA256 (KDE/release-service/24.12.0/kamoso-24.12.0.tar.xz) = 190f6d697da713960a86d655bdd3ee78f28c658746855ce3f2c951b29b820a23
+SIZE (KDE/release-service/24.12.0/kamoso-24.12.0.tar.xz) = 234548
diff --git a/multimedia/kamoso/pkg-plist b/multimedia/kamoso/pkg-plist
index 1918dbe641e8..8b59d85a49f3 100644
--- a/multimedia/kamoso/pkg-plist
+++ b/multimedia/kamoso/pkg-plist
@@ -8,7 +8,7 @@ share/icons/hicolor/32x32/apps/kamoso.png
 share/icons/hicolor/48x48/apps/kamoso.png
 share/icons/hicolor/64x64/apps/kamoso.png
 share/icons/hicolor/scalable/actions/burst.svgz
-share/icons/hicolor/scalable/apps/kamoso.svgz
+share/icons/hicolor/scalable/apps/kamoso.svg
 share/knotifications5/kamoso.notifyrc
 share/locale/ar/LC_MESSAGES/kamoso.mo
 share/locale/bg/LC_MESSAGES/kamoso.mo
@@ -61,4 +61,3 @@ share/locale/uk/LC_MESSAGES/kamoso.mo
 share/locale/zh_CN/LC_MESSAGES/kamoso.mo
 share/locale/zh_TW/LC_MESSAGES/kamoso.mo
 share/metainfo/org.kde.kamoso.appdata.xml
-share/sounds/kamoso-shutter.wav
diff --git a/multimedia/kasts/Makefile b/multimedia/kasts/Makefile
index 2db91e8aa97c..d4b0df8a1430 100644
--- a/multimedia/kasts/Makefile
+++ b/multimedia/kasts/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kasts
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	multimedia kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,21 +8,18 @@ WWW=		https://apps.kde.org/kasts/
 
 LICENSE=	GPLv2+
 
-BUILD_DEPENDS=	kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
-LIB_DEPENDS=	libqt5keychain.so:security/qtkeychain@qt5 \
+LIB_DEPENDS=	libqt6keychain.so:security/qtkeychain@qt6 \
 		libtag.so:audio/taglib \
 		libvlc.so:multimedia/vlc
-RUN_DEPENDS=	kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
 
-USES=		cmake desktop-file-utils gettext-runtime gnome gstreamer kde:5 \
-		pkgconfig qt:5 tar:xz xorg
+USES=		cmake desktop-file-utils gettext gettext-runtime gnome \
+		gstreamer kde:6 pkgconfig qt:6 tar:xz xorg
 USE_GNOME=	glib20
 USE_GSTREAMER1=	yes
-USE_KDE=	config coreaddons i18n kirigami2 syndication threadweaver \
+USE_KDE=	colorscheme config coreaddons crash i18n kirigami-addons \
+		kirigami2 syndication threadweaver \
 		ecm:build
-USE_QT=		core dbus declarative gui multimedia network quickcontrols2 \
-		sql svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base multimedia
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/multimedia/kasts/distinfo b/multimedia/kasts/distinfo
index 59c2274fa158..01dd0f481a51 100644
--- a/multimedia/kasts/distinfo
+++ b/multimedia/kasts/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889325
-SHA256 (KDE/release-service/23.08.5/kasts-23.08.5.tar.xz) = 90677828acc841c455d7d6abd22a4270f8c754dd9a55ddc9b08e5ced6816b6d8
-SIZE (KDE/release-service/23.08.5/kasts-23.08.5.tar.xz) = 581312
+TIMESTAMP = 1734460269
+SHA256 (KDE/release-service/24.12.0/kasts-24.12.0.tar.xz) = 48668ee817c68166795f89ec5d51132ee88aeb3d66da1abba1b56f86ed7511a6
+SIZE (KDE/release-service/24.12.0/kasts-24.12.0.tar.xz) = 625720
diff --git a/multimedia/kasts/pkg-plist b/multimedia/kasts/pkg-plist
index b2870ec87ff4..966724f3cf20 100644
--- a/multimedia/kasts/pkg-plist
+++ b/multimedia/kasts/pkg-plist
@@ -1,25 +1,27 @@
 bin/kasts
 lib/libKMediaSession.so
-lib/libKastsSolidExtras.so
-%%QT_QMLDIR%%/org/kde/kasts/solidextras/libkasts-solidextrasqmlplugin.so
-%%QT_QMLDIR%%/org/kde/kasts/solidextras/qmldir
-%%QT_QMLDIR%%/org/kde/kmediasession/libkmediasession-qmlplugin.so
-%%QT_QMLDIR%%/org/kde/kmediasession/qmldir
 share/applications/org.kde.kasts.desktop
 share/icons/hicolor/scalable/actions/media-playback-cloud.svg
 share/icons/hicolor/scalable/apps/kasts-tray-dark.svg
 share/icons/hicolor/scalable/apps/kasts-tray-light.svg
 share/icons/hicolor/scalable/apps/kasts.svg
+share/locale/ar/LC_MESSAGES/kasts.mo
+share/locale/ast/LC_MESSAGES/kasts.mo
 share/locale/ca/LC_MESSAGES/kasts.mo
 share/locale/ca@valencia/LC_MESSAGES/kasts.mo
 share/locale/cs/LC_MESSAGES/kasts.mo
+share/locale/da/LC_MESSAGES/kasts.mo
 share/locale/de/LC_MESSAGES/kasts.mo
 share/locale/en_GB/LC_MESSAGES/kasts.mo
+share/locale/eo/LC_MESSAGES/kasts.mo
 share/locale/es/LC_MESSAGES/kasts.mo
 share/locale/eu/LC_MESSAGES/kasts.mo
 share/locale/fi/LC_MESSAGES/kasts.mo
 share/locale/fr/LC_MESSAGES/kasts.mo
+share/locale/gl/LC_MESSAGES/kasts.mo
+share/locale/he/LC_MESSAGES/kasts.mo
 share/locale/ia/LC_MESSAGES/kasts.mo
+share/locale/is/LC_MESSAGES/kasts.mo
 share/locale/it/LC_MESSAGES/kasts.mo
 share/locale/ja/LC_MESSAGES/kasts.mo
 share/locale/ka/LC_MESSAGES/kasts.mo
